Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Deprecated List

Member eZContentClass::versionCount ()
Member eZContentObject::contentObjectListRelatingThis ( $version=false)
  This function is a duplicate of reverseRelatedObjectList(), use that function instead.
Member eZContentObject::eZContentObject ( $row)
  Use eZContentObject::__construct() instead
Member eZContentObject::relatedContentObjectArray ( $fromObjectVersion=false, $fromObjectID=false, $attributeID=0, $params=false)
Member eZContentObject::removeVersions ( $versionStatus=false)
  This method is left here only for backward compatibility. Use eZContentObjectVersion::removeVersions() method instead.
Member eZContentObject::setDefaultLanguage ( $lang)
Member eZContentObjectTreeNode::createVersionNameJoinsSQLString ( $useVersionName, $includeAnd=true, $onlyTranslated=false, $lang=false, $treeTableName='ezcontentobject_tree')
  Since 5.0
Member eZContentObjectTreeNode::createVersionNameTablesSQLString ( $useVersionName)
  Since 5.0
Member eZContentObjectTreeNode::createVersionNameTargetsSQLString ( $useVersionName)
  Since 5.0
Member eZContentObjectTreeNode::eZContentObjectTreeNode ( $row=array())
  Use eZContentObjectTreeNode::__construct() instead
Member eZContentObjectVersion::translation ( $asObject=true)
Member eZContentUpload::eZContentUpload ( $params=false)
  Use eZContentUpload::__construct() instead
Member eZContentUploadHandler::eZContentUploadHandler ( $name, $identifier)
  Use eZContentUploadHandler::__construct() instead
Member eZDataType::eZDataType ( $dataTypeString, $name, $properties=array())
  Use eZDataType::__construct() instead
Member eZDate::duplicate ()
  This function is deprecated in PHP5, use the PHP5 clone keyword instead Creates an exact copy of this object and returns it.
Member eZDateTime::duplicate ()
  This function is deprecated in PHP5, use the PHP5 clone keyword instead Creates an exact copy of this object and returns it.
Member eZGeneralDigestUserSettings::fetchForUser ( $address, $asObject=true)
  Since 5.0, please use fetchByUserId()
Member eZGeneralDigestUserSettings::removeByAddress ( $address)
  Since 5.0, please use removeByUserID()
Member ezi18n ( $context, $source, $comment=null, $arguments=null)
  Since 4.3, superseded by ezpI18n::tr() Will be kept for compatability in 4.x.
Member eZISBNType::validateISBN13Checksum ( $isbnNr, &$error)
  , should use the class eZISBN13 instead. Validates the ISBN-13 number $isbnNr.
Member eZLocale::formatCurrency ( $number, $as_html=true)
  Formats the currency $number according to locale information and returns it. If $as_html is true all spaces are converted to before being returned.
Member eZMail::addBcc ( $email, $name=false)
Member eZMail::addCc ( $email, $name=false)
Member eZMail::addExtraHeader ( $headerName, $headerValue)
Member eZMail::addReceiver ( $email, $name=false)
Member eZMail::allowedCharsets ()
Member eZMail::bccElements ()
Member eZMail::bccReceiverTextList ( $convert=true)
Member eZMail::blankNewlines ( $text)
Member eZMail::body ( $convert=true)
Member eZMail::ccElements ()
Member eZMail::ccReceiverTextList ( $convert=true)
Member eZMail::composeEmailItems ( $items, $join=true, $key=false, $convert=true)
Member eZMail::composeEmailName ( $item, $key=false, $convert=true)
Member eZMail::contentCharset ()
Member eZMail::contentDisposition ()
Member eZMail::contentString ( $content)
Member eZMail::contentTransferEncoding ()
Member eZMail::contentType ()
Member eZMail::convertHeaderText ( $text)
Member eZMail::convertText ( $text, $isHeader=false)
Member eZMail::encodeMimeHeader ( $str)
Member eZMail::extractEmail ( $text, &$email, &$name)
Member eZMail::extraHeaders ()
Member eZMail::headers ( $parameters=array())
Member eZMail::headerText ( $parameters=array())
Member eZMail::headerTextList ( $parameters=array())
Member eZMail::isAllowedCharset ( $charset)
Member eZMail::lineSeparator ()
Member eZMail::messageID ()
Member eZMail::mimeVersion ()
Member eZMail::outputCharset ()
Member eZMail::receiverElements ()
Member eZMail::receiverEmailText ( $convert=true)
Member eZMail::receiverText ( $convert=true)
Member eZMail::receiverTextList ( $convert=true)
Member eZMail::references ()
Member eZMail::replyTo ( $convert=true)
Member eZMail::sender ( $convert=true)
Member eZMail::senderText ( $convert=true)
Member eZMail::setBccElements ( $newBcc)
Member eZMail::setBody ( $newBody)
Member eZMail::setCcElements ( $newCc)
Member eZMail::setContentType ( $type=false, $charset=false, $transferEncoding=false, $disposition=false, $boundary=false)
Member eZMail::setExtraHeader ( $headerName, $headerValue)
Member eZMail::setExtraHeaders ( $headers)
Member eZMail::setMessageID ( $newMessageID)
Member eZMail::setMIMEVersion ( $version)
Member eZMail::setReceiver ( $email, $name=false)
Member eZMail::setReceiverElements ( $toElements)
Member eZMail::setReceiverText ( $text)
Member eZMail::setReferences ( $newReference)
Member eZMail::setReplyTo ( $email, $name=false)
Member eZMail::setSender ( $email, $name=false)
Member eZMail::setSenderText ( $text)
Member eZMail::setSubject ( $newSubject)
Member eZMail::setUserAgent ( $agent)
Member eZMail::splitList ( $emails)
Member eZMail::stripEmail ( $address)
Member eZMail::subject ( $convert=true)
Member eZMail::usedCharset ()
Member eZMail::userAgent ( $convert=true)
Member eZMail::validate ( $address)
Member eZPDFTable::eZPDFTable ($paper='a4', $orientation='portrait')
  Use eZPDFTable::__construct() instead
Member eZPersistentObject::eZPersistentObject ( $row=null)
  Use eZPersistentObject::__construct() instead
Member eZSearch::removeObject ( $contentObject, $commit=null)
  Since 5.0, use removeObjectById()
Member eZSiteInstaller::eZSiteInstaller ( $parameters=false)
  Use eZSiteInstaller::__construct() instead
Member eZStaticCache::hostName ()
  deprecated since version 4.4
Member eZTime::duplicate ()
  This function is deprecated in PHP5, use the PHP5 clone keyword instead Creates an exact copy of this object and returns it.
Member eZTime::secondsPerDay ()
  Use eZTime::SECONDS_A_DAY instead Get number of seconds per day
Member eZUser::eZUser ( $row=array())
  Use eZUser::__construct() instead
Member eZUser::fetchAnonymousCount ()
  As of 4.4 since default session handler does not support this.
Member eZUser::isLoggedIn ()
  since 5.1 Use isRegistered() / isUserLoggedIn() instead.
Member eZWorkflowEvent::eZWorkflowEvent ( $row)
  Use eZWorkflowEvent::__construct() instead
Member eZWorkflowEventType::eZWorkflowEventType ( $typeString, $name)
Member eZWorkflowType::eZWorkflowType ( $group, $type, $groupName, $name)
  Use eZWorkflowType::__construct() instead
Member eZXMLInputParser::SHOW_NO_ERRORS
  (back-compatibility)
Member ezx18n ( $extension, $context, $source, $comment=null, $arguments=null)
  Since 4.3, superseded by ezpI18n::tr() instead Will be kept for compatability in 4.x.
Member templateInit ( $name=false)
  Since 4.3, superseded by eZTemplate::factory() Will be kept for compatability in 4.x.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.